【算法】 mono stack mono stack最近在练习题目的时候经常遇到mono stack的题目,总的来说题目还是非常非常的有意思,单调栈真心是个利器。可以解决非常多的复杂的问题。可以利用单调栈求出以当前值为最大值或者最小值的连续子数组的最大长度。 单调栈的原理单调栈中的数据需要遵循两个原则: 栈中的数据会是严格递增或者递减,则我们可以知道,假如单调栈中的数据为递减,则可以知道栈顶的数据一定为当前序列中最大的数据;假 2026-10-21 算法 #算法
【kickstart】 kickstart 2021 roundD kickstart 2021 roundDkick start的题目质量非常高,感觉前三题没有问题,自己可以确定前三题做出来。前两题做出来了,后来因为有事,三四题就没有做。第三题不用看解答就能干出来。 Arithmetic Square题目 地址https://codingcompetitions.withgoogle.com/kickstart/round/00000000004361e3/00 2026-10-21 算法 #kickstart
【kickstart】 kick start 2021 roundB google kick start 2021 roundBgoogle kickstart的题目质量很高,虽然比不上竞赛的难度,但是都是非常有思考的题目。还是把题解仔细的写一遍,非常喜欢这类型的题目。 Increasing Substring题目 地址https://codingcompetitions.withgoogle.com/kickstart/round/0000000000435a5b 2026-10-21 算法 #kickstart
【kickstart】 kickstart 2021 roundC kickstart 2021 roundC最喜欢的kcick start来了,但是由于本次round的时候家里有事,正在陪小孩一直也没有时间来参加,所以只能等到比赛结束后来补上了,非常喜欢google kickstart的题目,质量很高又非常有趣。 a.Smaller Strings (6pts, 9pts)题目 地址https://codingcompetitions.withgoogle.co 2026-10-21 算法 #kickstart
【google】 google Google mock view前段时间做了一下google的mock interview,其中有道题目印象深刻。 1. 区间查询题目给定长度为n的数组A,给定组数$[i,j]$,求以下结果: query(i,j) = \prod_{k=1}^{j-i+1}(A_{i+k-1}^{k})所求结果对$10^{9} + 7$取模, 其中满足以下: $i \le j$ $1 \le n \le 10 2026-10-21 算法 #算法
【kick start】 2021 google kick start roundA 2021 google kick start roundAkick start的题目果真质量非常高,非常值得学习和练习的题目,非常喜欢这类的题目,前三题都可以做出来,不过题目D确实很难,我感觉自己肯定想不到解答的答案的。前三题就是leetcode的难度,最后一题确实很难。 K-Goodness String (5pts, 7pts)题目给定字符串,求出给定分值得最小变换次数 地址https://c 2026-10-21 算法 #kickstart
【kick start】 2021 google kickstart round H google kickstart round Hgoogle kick start的题目果真经典并且又不失思考的乐趣,质量非常高的题目,我觉得思考的深度非常有代表性。 Problem A - Retype题目选择游戏重启的位置 思路 真心是送分问题,一共只有两种选择,要么从头开始,要么倒回到第s关开始。 minT = k + min(n,k+n-2*s)代码12345678910111213141 2026-10-21 算法 #kickstart
leetcode weekly contest 318 leetcode weekly contest 318第四题稍微复杂的动态规划,总的来说难度还可以接受。 6229. 对数组执行操作题目给你一个下标从 0 开始的数组 nums ,数组大小为 n ,且由 非负 整数组成。 你需要对数组执行 n - 1 步操作,其中第 i 步操作(从 0 开始计数)要求对 nums 中第 i 个元素执行下述指令: 如果 nums[i] == nums[i + 1 2026-10-21 力扣周赛 #力扣周赛
【数学】 数学题目 题目在知乎上偶尔看到一道初中数学题目,所以觉得非常有意思,专门拿出来讨论下。 解题思路分类讨论如下: 根据函数经过(0,2),(1,3)两个点,代入以后可以得到如下等式: c = 2 \\ a + b = 1 \\因此上述函数可以转换为$y = ax^{2} + (1-a)x+2$ 当且仅当$-1\le x \le 1$时,$|ax^{2} + (1-a)x+2| = 2$仅只有一个解,根据题目 2026-10-21 算法 #数学
kickstart 2021 round H kickstart 2021 round Hkickstart的题目一向质量高,并且难度非常大,感觉基本上是校招面试题中难度最大的题目了,感觉力扣的难度弱爆了. 前三题感觉基本上只需要基本的数学技巧和数据结构的基本知识就可以做出来,最后一题真心是达到ACM的入门难度,还是挺难的题目。第四题花了好长时间才能弄懂题解. Transform the StringProblem123You are gi 2026-10-21 算法 #kickstart